commit bf5aa419cbf545d2cd09dc097e518033d6e4df5e
Author: Adhemerval Zanella <adhemerval.zanella@linaro.org>
Date:   Thu Dec 7 11:17:35 2023 -0300

    elf: Fix wrong break removal from 8ee878592c
    
    Reported-by: Alexander Monakov <amonakov@ispras.ru>
    (cherry picked from commit 546a1ba664626603660b595662249d524e429013)

diff --git a/elf/readelflib.c b/elf/readelflib.c
index f5b8c80e38..64f1d662a9 100644
--- a/elf/readelflib.c
+++ b/elf/readelflib.c
@@ -107,6 +107,7 @@ process_elf_file (const char *file_name, const char *lib, int *flag,
 	case PT_INTERP:
 	  program_interpreter = (char *) (file_contents + segment->p_offset);
 	  check_ptr (program_interpreter);
+	  break;
 
 	case PT_GNU_PROPERTY:
 	  /* The NT_GNU_PROPERTY_TYPE_0 note must be aligned to 4 bytes
